
Foreman - Bug #2364

Add a way to regenerate managed host PXE files

04/02/2013 08:05 AM - Jaroslav Henner

Status: Duplicate   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Unattended installations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I would expect, that when I click on Build PXE default, it would build the PXE menu for both, known as well as for not yet known

systems.

For the known host, I have to click and unclick the Build button in order to regenerate the PXE menu after chaning the template.

Related issues:

Is duplicate of Foreman - Feature #2267: Need rake task and/or UI button for ... Closed 03/01/2013

History

#1 - 04/02/2013 09:19 AM - Greg Sutcliffe

- Subject changed from Default PXE boot menu of known system is not regenerated  to Add a way to regenerate managed host PXE files

- Category set to Unattended installations

- Assignee set to Greg Sutcliffe

The "default" button is exactly that, it updates the default file. However, I agree we need a way to regenerate all the files for the managed hosts. I

think a separate button is the way to go - "Rebuild Host PXE files" or something like that.

#2 - 07/29/2015 05:50 AM - Simon Wydooghe

This is a feature which would be most appreciated. Any update on this by any chance?

#3 - 07/29/2015 05:55 AM - Dominic Cleal

- Is duplicate of Feature #2267: Need rake task and/or UI button for rebuilding all host tftp config files added

#4 - 07/29/2015 05:55 AM - Dominic Cleal

- Description updated

- Status changed from New to Duplicate

Yep, it's in progress under another ticket: #2267.
